Bug 246539 - Review Request: R-BufferedMatrix - A matrix data storage object held in temporary files
Review Request: R-BufferedMatrix - A matrix data storage object held in tempo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 247699
  Show dependency treegraph
 
Reported: 2007-07-02 18:02 EDT by Pierre-Yves
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.0.1-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-30 13:04:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-Yves 2007-07-02 18:02:51 EDT
Spec URL: http://pingoured.dyndns.org/public/RPM/R-BufferefMatrix/R-BufferedMatrix.spec
SRPM URL: 
http://pingoured.dyndns.org/public/RPM/R-BufferefMatrix/R-BufferedMatrix-1.0.1-1.fc6.src.rpm

Description: 
A tabular style data object where most data is stored outside main memory. 
A buffer is used to speed up access to data.

I am still seeking for a sponsor :-)

Thanks for your comments
Comment 1 Pierre-Yves 2007-07-04 19:11:35 EDT
Hi,

I have made some errors with the devel package (the files concerned were not
installed). The mistake is not corrected.

There are the new files:
SPEC:
http://pingoured.dyndns.org/public/RPM/R-BufferefMatrix/R-BufferedMatrix.spec
SRPM:
http://pingoured.dyndns.org/public/RPM/R-BufferefMatrix/R-BufferedMatrix-1.0.1-2.fc6.src.rpm

Thanks (I do have a sponsor now :-) )
Comment 3 Jason Tibbitts 2007-07-10 23:20:51 EDT
I noticed the following in the build log:
  * checking for working latex ...sh: latex: command not found
   NO
Any idea if the lack of latex causes problems?

It seems you're not using the recommended template, which is OK, but...

If you're going to use macros like %{__rm}, you need to use them consistently,
which means using %{__install}, %{__chmod}, etc.
Comment 4 Pierre-Yves 2007-07-11 02:57:16 EDT
I think that I have fixed the error, I just added tetex-latex has a BR.

I have also change the macro to the normal one, there are the new files:

SPEC:
http://pingoured.dyndns.org/public/RPM/R-BufferefMatrix/R-BufferedMatrix.spec
SRPM:
http://pingoured.dyndns.org/public/RPM/R-BufferefMatrix/R-BufferedMatrix-1.0.1-4.fc6.src.rpm

Thanks :-)
Comment 5 Jason Tibbitts 2007-07-11 14:48:35 EDT
Normally I don't care at all about Group:, but I do wonder why you think
Applications/Productivity is appropriate

The -devel package must have a dependency on the non-devel package.

The manual R dependency unnecessary for arch-specific R packages, but I don't
think it's a blocker.

You are missing some %doc directories.  These are all listed out in the template.

You don't own the top-level directory of the package.  This, too, is listed in
the template.

Review:
* source files match upstream:
   452483454bf11c7d6484164776feccb26e10597df78a9eb7dd8111c209f88af3  
   BufferedMatrix_1.0.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
X final provides and requires:
  R-BufferedMatrix-1.0.1-4.fc8.x86_64.rpm
   BufferedMatrix.so()(64bit)
   R-BufferedMatrix = 1.0.1-4.fc8
  =
   /bin/sh
   R
   libR.so()(64bit)

  R-BufferedMatrix-devel-1.0.1-4.fc8.x86_64.rpm
   R-BufferedMatrix-devel = 1.0.1-4.fc8
  =
X (no dependencies)

* %check is present and all tests pass:
  checking tests ...
    Running 'Rcodetesting.R'
    Running 'c_code_level_tests.R'
    Running 'objectTesting.R'
    Running 'rawCalltesting.R'
  OK

* no shared libraries are added to the regular linker search paths.
X doesn't own ..R/library/BufferedMatrix
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (R index creation)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel subpackage.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 6 Pierre-Yves 2007-07-11 16:01:04 EDT
Ok 

I have the requires on the devel package
I have corrected the files section
I have change the Group 

I have change the Requires to:
Requires(post):   R
Requires(postun): R

Sorry for these stupids mistakes I should have been more carreful...

There are the new files:
SPEC:
http://pingoured.dyndns.org/public/RPM/R-BufferefMatrix/R-BufferedMatrix.spec
SRPM:
http://pingoured.dyndns.org/public/RPM/R-BufferefMatrix/R-BufferedMatrix-1.0.1-5.fc6.src.rpm

Thanks
Comment 7 Jason Tibbitts 2007-07-13 18:42:30 EDT
OK, this looks good to me.

APPROVED
Comment 8 Pierre-Yves 2007-07-15 17:39:42 EDT
New Package CVS Request
=======================
Package Name: R-BufferedMatrix
Short Description: A matrix data storage object held in temporary files
Owners: pingoufc4@yahoo.fr
Branches: FC-6 F-7
InitialCC: 
Comment 9 Kevin Fenzi 2007-07-16 14:22:13 EDT
cvs done.
Comment 10 Fedora Update System 2007-07-17 12:44:05 EDT
R-BufferedMatrix-1.0.1-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Jason Tibbitts 2007-07-27 18:06:36 EDT
Is there some reason this package has not been pushed to the stable repository?
Comment 12 Pierre-Yves 2007-07-29 11:48:12 EDT
Only the fact that I was on vacation away from internet :-) and that I did not
want to do it before.

It is corrected ! 

Thanks
Comment 13 Fedora Update System 2007-07-30 13:04:20 EDT
R-BufferedMatrix-1.0.1-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.